unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Base, StdCtrls, ExtCtrls;

type
  TMainForm = class(TBaseForm)
    lbMdbList: TListBox;
    Panel1: TPanel;
    btnStart: TButton;
    lbMessage: TListBox;
    procedure btnStartClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
	procedure	SetListBox(Mode: Boolean);
    procedure	ModifySysMenu();
    procedure	WMSysCommand(var Msg: TWMSysCommand); message WM_SYSCOMMAND;
  public
    { Public 錾 }
	procedure	DroppedAction(); override;
  end;

var
  MainForm: TMainForm;

implementation

uses
	imdb, About;

{$R *.dfm}

procedure	TMainForm.SetListBox(Mode: Boolean);
begin
	lbMdbList.Visible := Mode;
	lbMessage.Visible := not Mode;
end;

procedure	TMainForm.DroppedAction();
var
	i: integer;
begin
	SetListBox(true);
    for i := DropFileList.Count - 1 downto 0 do
    begin
		if UpperCase(ExtractFileExt(DropFileList[i])) <> '.MDB' then
        begin
        	DropFileList.Delete(i);
        end;
    end;
    lbMdbList.Items.Text := DropFileList.Text;
    btnStart.Enabled := (lbMdbList.Items.Count > 0);
end;

procedure TMainForm.btnStartClick(Sender: TObject);
begin
	MdbSeeker := nil;
	MdbSeeker := TMdbSeek.Create(lbMdbList.Items, lbMessage.Items);
    MdbSeeker.FreeOnTerminate := True;
    MdbSeeker.Resume;
    btnStart.Enabled := False;
	SetListBox(false);
	lbMessage.Clear;
end;

const
	idSysAbout   = 100;

(* VXej[ύX *)
procedure	TMainForm.ModifySysMenu();
begin
	//Zp[^ǉ
    AppendMenu(GetSystemMenu(Handle, False), MF_SEPARATOR, 0, '');
	//j[ǉ
    AppendMenu(GetSystemMenu(Handle, False), MF_STRING, idSysAbout, 'o[W');
end;

(* ǉj[ *)
procedure	TMainForm.WMSysCommand(var Msg: TWMSysCommand);
begin
	case Msg.CmdType of
        idSysAbout  : AboutBox.ShowModal();
    end;
    inherited;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
	inherited;
    lbMdbList.Align := alClient;
    lbMessage.Align := alClient;
    ModifySysMenu();
end;

end.
